import { PromptTemplate } from "../aiProvider/promptTemplates.js";
import { DocBuilderRoot } from "./docBuilderRoot.js";
export declare class DocBuilderObject extends DocBuilderRoot {
    docType: string;
    promptKey: PromptTemplate;
    placeholder: string;
    xmlRootKey: string;
    static buildIndexTable(prefix: string, objectDescriptions: any[]): string[];
    static buildCustomFieldsTable(fields: any[]): string[];
    static buildValidationRulesTable(validationRules: any[]): string[];
    buildInitialMarkdownLines(): Promise<string[]>;
    stripXmlForAi(): Promise<string>;
}
